import greenfoot.*;
/**
 * This class describes a car that strictly follows the left edge of a 
 * color (yellow) on the world background
 */
public class Car extends Actor
{
    public Car()
    {
        GreenfootImage image = getImage();
        image.scale(image.getWidth()/2, image.getHeight()/2);
    }
    
    public void act()
    {
        move();
    }
    
    private void move()
    {
        // try to go left
        turn(-90);
        move(1);
        // if not on line, go forward instead
        if (!getWorld().getBackground().getColorAt(getX(), getY()).equals(Color.YELLOW))
        {
            move(-1);
            turn(90);
            move(1);
        }
        // adjust proper orientation of car (rotation)
        int x = getX(), y = getY();
        if (x > 320) x -= 240; else if (x > 80) x = 80;
        if (y > 520) y -= 440; else if (y > 80) y = 80;
        x -= 80;
        y -= 80;
        setRotation((int)(Math.atan2(y, x)*180/Math.PI)-90);
    }
}