import greenfoot.*;
/**
 * this class is for cars that follow Sign actor instructions
 */
public class Car2 extends Actor
{
    boolean turning; // type of road (curved if true, else straight)
    int signX, signY; // speeds along the x-axis and y-axis mainly recieved from Sign objects if
                      // turning is false; otherwise, the centerpoint of the circle the path of
                      // the car should take
    
    public Car2()
    {
        GreenfootImage image = getImage();
        image.scale(image.getWidth()/2, image.getHeight()/2);
        signX = 1; // initial direction of movement (right)
    }

    public void act()
    {
        // move
        if (turning) 
        { // curved part of track (rate of turn is always 1 degree left)
            setLocation(signX, signY); // move to centerpoint of circle
            turn(89); // face new location
            move(40); // move to new location (radius of arc is always 75)
            turn(-90); // face new direction
        }
        else setLocation(getX()+signX, getY()+signY); // straight part of track
        // sign checking
        Sign sign = (Sign)getOneIntersectingObject(Sign.class);
        if (sign != null && sign.getX() == getX() && sign.getY() == getY())
        {
            turning = sign.curved;
            signX = sign.x;
            signY = sign.y;
        }
    }
}