import greenfoot.*;
/**
 * CLASS:  Sign (subclass of Actor)
 * 
 * DESCRIPTION:  a class that creates an invisible object of size (1, 1) that is used to provide
 * information specific to its location to other actors that interact with it
 */
public class Sign extends Actor
{
    boolean curved; // somee true/false state (curving, in this scenario)
    int x, y; // coordinate values
    
    /**
     * creates an information object with given values
     * 
     * @param arcing: true if road curved ahead
     * @param iX:
     * @param iY:
     *     the two parameters above can hold different information depending on the arcing value;
     *     in this scenario, the information contained by these parameters are as follows:
     *     if not arcing, the values are the speed values along the x-axis and y-axis;
     *     if arcing, the values are the coordinates of the centerpoint of the arc (if the arc
     *     was too continue around to create a circle, the centerpoint of that circle)
     */
    public Sign(boolean arcing, int iX, int iY)
    {
        setImage(new GreenfootImage(1, 1));
        curved = arcing;
        x = iX;
        y = iY;
    }
}