import greenfoot.*;
/**
 * A racetrack with a Car actor
 */
public class Track extends World
{
    public Track()
    {
        super(400, 600, 1);
        createTrack(); // the track
        addObject(new Car(), 200, 560); // the car
        addObject(new Button(), 200, 420); // button to go to next world
    }
    
    /** draws racetrack onto background of world */
    private void createTrack()
    {
        GreenfootImage track = new GreenfootImage(400, 600);
        GreenfootImage stretch = new GreenfootImage(80, 600);
        stretch.setColor(Color.GRAY);
        stretch.fill();
        stretch.setColor(Color.YELLOW);
        stretch.fillRect(39, 0, 2, 600);
        track.drawImage(stretch, 0, 0);
        track.drawImage(stretch, 320, 0);
        stretch = new GreenfootImage(400, 80);
        stretch.setColor(Color.GRAY);
        stretch.fill();
        stretch.setColor(Color.YELLOW);
        stretch.fillRect(0, 39, 400, 2);
        track.drawImage(stretch, 0, 0);
        track.drawImage(stretch, 0, 520);
        GreenfootImage circle = new GreenfootImage(160, 160);
        circle.setColor(Color.WHITE);
        circle.fill();
        circle.setColor(Color.GRAY);
        circle.fillOval(0, 0, 160, 160);
        circle.setColor(Color.YELLOW);
        circle.drawOval(39, 39, 80, 80);
        circle.drawOval(40, 40, 80, 80);
        circle.drawOval(39, 40, 80, 80);
        circle.drawOval(40, 39, 80, 80);
        GreenfootImage turn = new GreenfootImage(80, 80);
        turn.drawImage(circle, 0, 0);
        track.drawImage(turn, 0, 0);
        turn.drawImage(circle, -80, 0);
        track.drawImage(turn, 320, 0);
        turn.drawImage(circle, 0, -80);
        track.drawImage(turn, 0, 520);
        turn.drawImage(circle, -80, -80);
        track.drawImage(turn, 320, 520);
        getBackground().drawImage(track, 0, 0);
        GreenfootImage text = new GreenfootImage("Track 1\n\nred: line following", 24, Color.BLACK, new Color(0, 0, 0, 0));
        getBackground().drawImage(text, 200-text.getWidth()/2, 150);
    }
}