import greenfoot.*;

/**
 * A racetrack with all car actors plus needed Sign actors
 */
public class Track4 extends World
{
    public Track4()
    {
        super(400, 600, 1);
        createTrack(); // the track
        // the cars
        addObject(new Car(), 220, 560);
        addObject(new Car2(), 200, 560);
        addObject(new Car3(), 180, 560);
        // the instruction actors (for Car2 and Car3 actors)
        addObject(new Sign(false, 1, 0),80, 560);
        addObject(new Sign(false, 0, 1), 40, 80);
        addObject(new Sign(false, -1, 0), 320, 40);
        addObject(new Sign(false, 0, -1), 360, 520);
        addObject(new Sign(true, 320, 520), 320, 560);
        addObject(new Sign(true, 80, 520), 40, 520);
        addObject(new Sign(true, 80, 80), 80, 40);
        addObject(new Sign(true, 320, 80), 360, 80);
        
        addObject(new Button(), 200, 420); // button to go to next world
    }
    
    /** draws racetrack onto background of world */
    private void createTrack()
    {
        GreenfootImage track = new GreenfootImage(400, 600);
        GreenfootImage stretch = new GreenfootImage(80, 600);
        stretch.setColor(Color.GRAY);
        stretch.fill();
        stretch.setColor(Color.YELLOW);
        stretch.fillRect(39, 0, 2, 600);
        track.drawImage(stretch, 0, 0);
        track.drawImage(stretch, 320, 0);
        stretch = new GreenfootImage(400, 80);
        stretch.setColor(Color.GRAY);
        stretch.fill();
        stretch.setColor(Color.YELLOW);
        stretch.fillRect(0, 39, 400, 2);
        track.drawImage(stretch, 0, 0);
        track.drawImage(stretch, 0, 520);
        GreenfootImage circle = new GreenfootImage(160, 160);
        circle.setColor(Color.WHITE);
        circle.fill();
        circle.setColor(Color.GRAY);
        circle.fillOval(0, 0, 160, 160);
        circle.setColor(Color.YELLOW);
        circle.drawOval(39, 39, 80, 80);
        circle.drawOval(40, 40, 78, 78);
        GreenfootImage turn = new GreenfootImage(80, 80);
        turn.drawImage(circle, 0, 0);
        track.drawImage(turn, 0, 0);
        turn.drawImage(circle, -80, 0);
        track.drawImage(turn, 320, 0);
        turn.drawImage(circle, 0, -80);
        track.drawImage(turn, 0, 520);
        turn.drawImage(circle, -80, -80);
        track.drawImage(turn, 320, 520);
        getBackground().drawImage(track, 0, 0);
        String info = "Track4\n\nred: line following\n\n";
        info += "blue: point instruction\n\ngreen: adjusted pt. inst.";
        GreenfootImage text = new GreenfootImage(info, 24, Color.BLACK, new Color(0, 0, 0, 0));
        getBackground().drawImage(text, 200-text.getWidth()/2, 150);
    }
}